function [EdgeStraight] = checkEdge(p1,p2,p3,Rlimit)
    a = sqrt((p2(1)-p1(1))^2+(p2(2)-p1(2))^2+(p2(3)-p1(3))^2);
    b = sqrt((p3(1)-p1(1))^2+(p3(2)-p1(2))^2+(p3(3)-p1(3))^2);
    c = sqrt((p3(1)-p2(1))^2+(p3(2)-p2(2))^2+(p3(3)-p2(3))^2);

    Rinv = (sqrt(2*a^2*b^2+2*b^2*c^2+2*c^2*a^2-a^4-b^4-c^4))/(a*b*c);
    
    % Rinv is 1/Radius.  If it is zero, the the points form a straight line
    if Rinv <= (1/Rlimit)     
        EdgeStraight = 1;
    else
        EdgeStraight = 0;
    end
    
end