function [FluidBC] = getBC2(ElemConn,Elm,Face,Type,Elem1,ElemInfo)   
    FluidBC = char(length(ElemConn(:,1)),1);

    for i=1:length(ElemConn(:,1))
        if ElemConn(i,3)~=0
            FluidBC(i,1)='E';
        end
    end
    g = [4,3,2,1,5,6];
    NFace = zeros(length(Face),1);
    for y = 1:length(Elm)
        GF = Face(y);
        if ElemConn((6*(Elm(y)-1)+g(GF)),3) == 0
            NFace(y) = g(GF);
        else
           disp('BC contradiction. Check Gambit Mesh')
           disp(Elm(y)),disp(Face(y)),disp(Type(y))
        end
    end

    for i=1:length(Elm)
        b = 6*(Elm(i)-1)+NFace(i);
        FluidBC(b,1) = Type(i);
    end 
    
    chck = find(FluidBC == ' ');
    chck = isempty(chck);
    if chck ~= 1
        disp('There is an empty BC...double check ****')
    end
end