function [Elem,ElemMidPts1,Pts,Elem1]   = restructure(Elem1,Nelm,Dim,Pt,mm_to_unit)
    disp(' ELEM & PTS MATRIX RESTURCTURE:    STARTED ****');
    Elem1(:,2)=[];Elem1(:,2)=[];   % Removes columns with '4  #pts per element'

    i=2;      % Removes rows with zeros
    while length(Elem1(:,1))>Nelm
            Elem1(i,:)=[];
            Elem1(i,:)=[];
            i=i+1;
    end

    cornerPts = [1,3,6,8,13,15,18,20]+1;            % Location of CornerPts
    midPts    = [2,4,5,7,9,10,11,12,14,16,17,19]+1; % Location of MidPts
    Elem = zeros(Nelm,9);
    Elem(:,1)=Elem1(:,1);

    for i=2:length(cornerPts)+1
        Elem(:,i) = Elem1(:,cornerPts(i-1));
    end
    ElemMidPts1 = zeros(Nelm,13);
    ElemMidPts1(:,1)=Elem1(:,1);
    for i=2:length(midPts)+1
        ElemMidPts1(:,i) = Elem1(:,midPts(i-1));
    end

    if Dim==3
        Pt(:,5)=Pt(:,3);    % These 2 lines 
        Pt(:,3)=[];         % switch columns from "X Z Y" to "X Y Z"
    end

    Pts(:,1)=Pt(:,1);
    Pts(:,2:4)=Pt(:,2:4)/mm_to_unit;
    disp('                                   DONE');
    pause(.25);
    
end