clc; clear all
X = [0,1,2,0];
Y = [0,0,2,1];

syms E N x y
p1 = 0.25*(1-E)*(1-N);
p2 = 0.25*(1+E)*(1-N);
p3 = 0.25*(1+E)*(1+N);
p4 = 0.25*(1-E)*(1+N);

Tx = X(1)*p1+X(2)*p2+X(3)*p3+X(4)*p4
Ty = Y(1)*p1+Y(2)*p2+Y(3)*p3+Y(4)*p4

T(1,:) = Tx;
T(2,:) = Ty;

Jx = jacobian(Tx);
Jy = jacobian(Ty);

J(1,:) = Jx;
J(2,:) = Jy;


plot(X,Y)