function [after] = orderElem(before,Dim)
    after = ones(length(before(:,1)),length(before(1,:))); 
    if Dim==3
        bottom = ones(3,1);
        top = ones(3,1);
        RT = ones(Dim,1);     % RT = Right Top
        LT = ones(Dim,1);     % LT = Left Top
        
%%%%%%%%%%%%%%%%%%%%%%%%% Determines Corner Pts on the bottom/top
        for b=1:4
           [C,k] = min(before(3,:));           
           bottom(:,b) = before(:,k);
           before(:,k) = [];
        end
        top = before;
    else
        bottom = before;
    end                 

%%%%%%%%%%%%%%%%%%%%%%%%%% Determine which Bottom points are left/right

    RB = ones(Dim,1);     % RB = Right Bottom
    LB = ones(Dim,1);     % LB = Left Bottom

    for b=1:2
       [C,k] = max(bottom(1,:));           
       RB(:,b) = bottom(:,k);
       bottom(:,k) = [];
    end  
    LB = bottom;
    
%%%%%%%%%%%%%%%%%%%%%%%%% Determines which Top Points are left/right
    if Dim==3
        for b=1:2
           [C,k] = max(top(1,:));           
           RT(:,b) = top(:,k);
           top(:,k) = [];
        end
        LT = top;
    end
%%%%%%%%%%%%%%%%%%%%%%%%% Puts Pts into correct order based on above

           [C,k] = min(RB(2,:));           
           after(:,1) = RB(:,k);    % Pt 1
           RB(:,k) = [];
           after(:,2) = RB;         % Pt 2

           [C,k] = max(LB(2,:));           
           after(:,3) = LB(:,k);    % Pt 3
           LB(:,k) = [];
           after(:,4) = LB;         % Pt 4
           
    if Dim==3
        
           [C,k] = min(RT(2,:));           
           after(:,5) = RT(:,k);    % Pt 5
           RT(:,k) = [];
           after(:,6) = RT;         % Pt 6
           
           [C,k] = max(LT(2,:));           
           after(:,7) = LT(:,k);    % Pt 7
           LT(:,k) = [];
           after(:,8) = LT;         % Pt 8
    end
end